# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server import util


class EVENTNETWORKWANSTATUSPpp(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    def __init__(self, ip: str='192.168.1.1', mask: str='255.255.255.0', mac: str='95-E1-34-42-0F-30'):  # noqa: E501
        """EVENTNETWORKWANSTATUSPpp - a model defined in Swagger

        :param ip: The ip of this EVENTNETWORKWANSTATUSPpp.  # noqa: E501
        :type ip: str
        :param mask: The mask of this EVENTNETWORKWANSTATUSPpp.  # noqa: E501
        :type mask: str
        :param mac: The mac of this EVENTNETWORKWANSTATUSPpp.  # noqa: E501
        :type mac: str
        """
        self.swagger_types = {
            'ip': str,
            'mask': str,
            'mac': str
        }

        self.attribute_map = {
            'ip': 'ip',
            'mask': 'mask',
            'mac': 'mac'
        }
        self._ip = ip
        self._mask = mask
        self._mac = mac

    @classmethod
    def from_dict(cls, dikt) -> 'EVENTNETWORKWANSTATUSPpp':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The EVENT_NETWORK_WAN_STATUS_ppp of this EVENTNETWORKWANSTATUSPpp.  # noqa: E501
        :rtype: EVENTNETWORKWANSTATUSPpp
        """
        return util.deserialize_model(dikt, cls)

    @property
    def ip(self) -> str:
        """Gets the ip of this EVENTNETWORKWANSTATUSPpp.


        :return: The ip of this EVENTNETWORKWANSTATUSPpp.
        :rtype: str
        """
        return self._ip

    @ip.setter
    def ip(self, ip: str):
        """Sets the ip of this EVENTNETWORKWANSTATUSPpp.


        :param ip: The ip of this EVENTNETWORKWANSTATUSPpp.
        :type ip: str
        """

        self._ip = ip

    @property
    def mask(self) -> str:
        """Gets the mask of this EVENTNETWORKWANSTATUSPpp.


        :return: The mask of this EVENTNETWORKWANSTATUSPpp.
        :rtype: str
        """
        return self._mask

    @mask.setter
    def mask(self, mask: str):
        """Sets the mask of this EVENTNETWORKWANSTATUSPpp.


        :param mask: The mask of this EVENTNETWORKWANSTATUSPpp.
        :type mask: str
        """

        self._mask = mask

    @property
    def mac(self) -> str:
        """Gets the mac of this EVENTNETWORKWANSTATUSPpp.


        :return: The mac of this EVENTNETWORKWANSTATUSPpp.
        :rtype: str
        """
        return self._mac

    @mac.setter
    def mac(self, mac: str):
        """Sets the mac of this EVENTNETWORKWANSTATUSPpp.


        :param mac: The mac of this EVENTNETWORKWANSTATUSPpp.
        :type mac: str
        """

        self._mac = mac
